DELETE /api/agent_builder/agents/{id}

Spaces method and path for this operation:

delete /s/{space_id}/api/agent_builder/agents/{id}

Refer to Spaces for more information.

Delete an agent by ID. This action cannot be undone. To learn more, refer to the agents documentation.

[Required authorization] Route required privileges: manage_agent_builder.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    The unique identifier of the agent to delete.

Responses

  • 200 application/json

    Indicates a successful response

DELETE /api/agent_builder/agents/{id}
curl \
  -X DELETE "${KIBANA_URL}/api/agent_builder/agents/{id}" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn://api/agent_builder/agents/{id}
Response examples (200)
Example response showing that deletion of the agent has been successful
{
  "success": true
}